libzypp 17.38.15

Edition.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <zypp/IdStringType.h>`
`#include <zypp/RelCompare.h>`
`#include <zypp/Range.h>`

Go to the source code of this file.

## Classes
class | zypp::Edition
| Edition represents `[epoch:]version[-release]`. More...
struct | zypp::Edition::Match
| match functor. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::dumpAsXmlOn (std::ostream &str, const Edition &obj)
| relates: Edition XML output.